@import "../constants/vars";
//*:hover {
//  transition: 0.3s;
//}
.ant-modal-mask,
.ant-modal-wrap,
.ant-modal {
    animation-duration: 0s !important;
}

.app-content-wrapper {
    margin: 24px 24px;
    min-height: 280px;
    margin-top: 64px;
}

.app-breadcrumb {
    margin: 16px 0 !important;
    background-color: white;
    padding: $padding-ant-col;
    border-radius: $borderRadius;
    box-shadow: $box-shadow;
    a {
        color: $blue;
    }
    a:hover {
        color: $abu;
    }
}

.app-content-layout {
    background: #f5f5f5;
}

.app-content {
    background: white;
    box-shadow: $box-shadow;
    border-radius: $borderRadius;
}

.app-content-title {
    padding: 10px 16px;
    border-bottom: 1px solid $blackTransparent2;
    font-size: 16px;
    font-weight: lighter;
    color: $abuFont;
}

.app-content .form-card__body {
    color: $abuFont;
}

.number-card-v2 {
    color: $abuFont;
    box-shadow: $box-shadow;
}

.app-content-body {
    padding: 24px 22px;
}

.app-background-blue {
    background-color: $blue !important;
}

.ant-badge-count,
.ant-badge-dot,
.ant-badge .ant-scroll-number-custom-component {
    right: -10px;
}

.pull-left {
    float: left;
}

.pull-right {
    float: right;
}

.clearfix {
    clear: both;
}

.app-layout {
    min-height: 100vh;
}

.right-text {
    text-align: right;
}

.text-left,
.left-text {
    text-align: left !important;
}

.text-center,
.center-text {
    text-align: center !important;
}

.form-text {
    div {
        padding: 4px 0;
        span {
            font-weight: bolder;
            &:after {
                content: " :";
            }
        }
    }
}

.form-info {
    .ant-row {
        margin: 0px !important;
        .ant-form-item-label {
            font-weight: bold;
        }
    }
}

.ant-form-horizontal {
    .ant-form-item-label {
        //box-shadow: 0 0 3px blue;
    }
    .ant-form-item-label::after {
        width: 100% !important;
        //box-shadow: 0 0 3px red;
        content: " : ";
    }
    .ant-form-item-label>label::after {
        content: "" !important;
    }
}

.row-divider-group {
    .ant-row {
        border-bottom: 1px solid rgba(0, 0, 0, 0.05);
        margin-bottom: 10px;
        padding-bottom: 10px;
    }
}

.image-preview {
    width: 150px;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 8px;
    padding: 10px;
    margin-bottom: 15px;
}

.image-preview-register {
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 8px;
    padding: 10px;
    margin-bottom: 70px;
    position: relative !important;
    .cropper-crop-box {
        //left: 0 !important;
        //top: 0 !important;
        //bottom: 0 !important;
        //right: 0 !important;
        //width: 300px !important;
        //height: 300px !important;
        //transform: none !important;
        .cropper-face.cropper-move {
            left: 0 !important;
            top: 0 !important;
            box-shadow: 0 0 3px red !important;
        }
    }
    ul {
        margin-top: -30px;
        text-align: left;
        margin-left: 28px;
        li {
            display: inline;
        }
        li:last-child button {
            visibility: hidden;
        }
        li:last-child button:after {
            content: "Crop Gambar";
            visibility: visible;
            display: block;
            position: absolute;
            background-color: #0574ff;
            padding: 0 5px;
            width: 90px;
            margin-top: -40px;
            margin-left: -7px;
        }
        button {
            background-color: #0574ff;
            color: white;
            border: none;
            border-right: 1px solid white;
            padding-top: 0px;
            padding-bottom: 0px;
            font-size: 10px;
            cursor: pointer;
        }
    }
}

.upload-btn-wrapper-register {
    position: absolute;
    overflow: hidden;
    display: inline-block;
    cursor: pointer !important;
    margin-top: -48px;
    width: 82px;
    height: 40px;
    input[type="file"] {
        font-size: 100px;
        position: absolute;
        left: 0;
        top: 0;
        opacity: 0;
        cursor: pointer !important;
    }
    .btn-file {
        color: #fff;
        background-color: #0574ff;
        border-color: #0574ff;
        border-radius: 0px;
        border-right: 1px solid white;
        font-size: 10px;
        padding: 0px 10px;
        cursor: pointer !important;
    }
}

.upload-btn-wrapper {
    position: relative;
    overflow: hidden;
    display: inline-block;
    cursor: pointer;
    input[type="file"] {
        font-size: 100px;
        position: absolute;
        left: 0;
        top: 0;
        opacity: 0;
        cursor: pointer;
    }
    .btn-file {
        color: #fff;
        background-color: #0574ff;
        border-color: #0574ff;
        border-radius: 0px;
        padding: 0px 10px;
        cursor: pointer;
    }
}

.modal-has-tabs>.ant-modal-content {
    background-color: rgba(0, 0, 0, 0) !important;
    .ant-modal-body {
        padding: 0 !important;
    }
    .ant-modal-close {
        color: white;
        margin-top: -10px;
        font-weight: bold;
        font-size: 18px;
    }
    .ant-tabs-tab:not(.ant-tabs-tab-active) {
        background-color: #afafaf !important;
    }
}

.table-bordered {
    border-collapse: collapse;
    width: 100%;
    th,
    td {
        border: 1px solid #e8e8e8;
        padding: 8px 10px !important;
    }
}

.ant-tag {
    padding-left: 20px !important;
    padding-right: 20px !important;
}

.content-gutter-vertical {
    >.ant-row {
        >.ant-col {
            padding-top: $padding-ant-col;
            padding-bottom: $padding-ant-col;
        }
    }
}

.img-responsive {
    width: 90%;
    margin: auto;
}

.pg-viewer-wrapper {
    min-height: 600px;
}

.pg-viewer-wrapper img {
    //width: 100% !important;
}

//// tabs /////
.card-container>.ant-tabs-card>.ant-tabs-content {
    height: 120px;
    margin-top: -16px;
}

.card-container>.ant-tabs-card>.ant-tabs-content>.ant-tabs-tabpane {
    background: #fff;
    padding: 16px;
}

.card-container>.ant-tabs-card>.ant-tabs-bar {
    border-color: #fff;
}

.card-container>.ant-tabs-card>.ant-tabs-bar .ant-tabs-tab {
    border-color: transparent;
    background: transparent;
}

.card-container>.ant-tabs-card>.ant-tabs-bar .ant-tabs-tab-active {
    border-color: #fff;
    background: #fff;
}

.card-container>.ant-tabs-card>.ant-tabs-content {
    height: auto !important;
}

///// Menu /////
.menu-list {
    a {
        width: 100%;
        display: block;
        background-color: white;
        border-radius: $borderRadius;
        padding: 0.7rem;
        margin-bottom: 0px;
        box-shadow: $box-shadow;
        border: 2px solid rgba(0, 0, 0, 0.06);
        &:hover {
            box-shadow: inset $box-shadow-hover;
        }
        img {
            width: 100%;
            margin-bottom: 10px;
        }
    }
    h1 {
        text-align: center !important;
        color: rgba(0, 0, 0, 0.6) !important;
        font-size: 14px;
        font-weight: bold !important;
        margin: 0;
        border-top: 1px solid rgba(0, 0, 0, 0.04);
        padding-top: 10px;
    }
    .ant-col {
        padding-bottom: 20px;
    }
}

///// Modal ///////
.custom-modal-v1 {
    .ant-row {
        margin: 0 !important;
    }
}

///// Button //////
.ant-btn-success {
    background-color: #13c2c2;
    color: white;
    border: 1px solid #13c2c2;
    &:hover {
        background-color: #36cfc9;
        color: white;
    }
}

.ant-btn-danger {
    background-color: #f5222d;
    color: white;
    border: 1px solid #f5222d;
    &:hover {
        background-color: #ff4d4f;
        color: white;
    }
}

.ant-btn-warning {
    background-color: #ffc43e;
    color: white;
    border: 1px solid #ffc43e;
    &:hover {
        background-color: #ffc43e;
        color: white;
    }
}

.ant-form-item-label {
    text-align: left !important;
}

.form-divider {
    background-color: $blue;
    color: white;
    padding: 6px 20px;
    margin-bottom: 16px;
    font-weight: bold;
}

.form-divider~.ant-form-item .ant-form-item-label {
    padding-left: 20px !important;
}

form.form-detail {
    .ant-row {
        margin: 0 !important;
        border-bottom: 1px solid #e8e8e8;
    }
}

.wrapper-button-float {
    position: fixed;
    bottom: 10px;
    left: 50%;
    margin-left: -161.5px;
    background-color: white;
    padding: 8px 12px;
    border-radius: 4px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    z-index: 100000;
}

.hide {
    display: none !important;
}

.th-20 {
    width: 20px;
}

.th-50 {
    width: 50px;
}

.th-100 {
    width: 100px;
}

.th-150 {
    width: 150px;
}

.th-200 {
    width: 200px;
}

.th-250 {
    width: 250px;
}

.th-300 {
    width: 300px;
}

.th-320 {
    width: 320px;
}

.table-bottom-line tbody tr td {
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    margin: 0 !important;
}

.app-sidebar {
    height: 100vh;
}


/* REGISTER STAFF */

//.cover-page {
//  height: 100vh;
//  padding: 0;
//  overflow-y: scroll;
//}
//
//.cover {
//  position: relative;
//  background: #fff;
//  padding: 0em 0;
//}
.cover-bg-img-register {
    width: 100%;
    padding: 25px 0;
    height: auto;
    text-align: center;
    color: white;
    background-position: center;
    margin-bottom: 60px;
    background-color: #0574ff !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.6);
    font-weight: bold;
}

.register-container {
    background: white !important;
    padding-bottom: 100px;
    h2 {
        color: white !important;
    }
    p {
        font-size: 14px;
    }
}

.cover-page .cover-form-container {
    //display: flex;
    //justify-content: space-around;
    //align-items: center;
    //margin-top: 0;
}

.cover-page .cover-form-container {
    //height: 100vh;
    //max-height: 100vh;
    //padding: 3rem 0;
    //overflow-y: scroll;
}

.register-finish-avatar {
    width: 250px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.form-v1-container {
    width: 100%;
}

.ant-steps-item-description {
    font-size: 12px !important;
}

.btn-register-action {
    position: fixed;
    z-index: 1000;
    bottom: 0px;
    left: 0px;
    text-align: center;
    width: 100%;
    padding: 10px 0;
    background-color: white;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.4);
}

.company-profile-logo-banner {
    position: relative !important;
}

.company-profile-logo {
    width: 140px !important;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 16px;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -70px;
    margin-top: -70px;
    border: 10px solid rgba(255, 255, 255, 0.4);
}


/** CALENDAR **/

.events {
    list-style: none;
    margin: 0;
    padding: 0;
}

.events .ant-badge-status {
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    text-overflow: ellipsis;
    font-size: 12px;
}

.notes-month {
    text-align: center;
    font-size: 28px;
}

.notes-month section {
    font-size: 28px;
}

.form-title {
    background-color: $blue;
    color: $white;
    border-radius: 4px;
    padding: 4px 10px;
    font-size: 16px;
    margin-bottom: 20px;
}

.form-title-plus {
    background-color: #00bfa5;
    color: $white;
    border-radius: 4px;
    padding: 4px 10px;
    font-size: 16px;
    margin-bottom: 20px;
}

.form-title-minus {
    background-color: #e53935;
    color: $white;
    border-radius: 4px;
    padding: 4px 10px;
    font-size: 16px;
    margin-bottom: 20px;
}

.form-stripped .ant-form-item {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.user-general-info-wrapper {
    h2 {
        background-color: $blue;
        font-size: 16px;
        color: white;
        padding: 6px 10px;
        border-radius: $borderRadius;
        box-shadow: $box-shadow !important;
        margin-bottom: 18px;
    }
}

// Organization Chart
.initechNode {
    border-radius: 3px;
    min-width: 150px;
    max-width: 500px;
    display: inline-block;
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.4);
    background-color: $blueTransparent;
    margin-left: 4px;
    margin-right: 4px;
    cursor: pointer;
}

.initechNode-posisi {
    border-radius: 3px;
    min-width: 20px;
    max-width: 300px;
    display: inline-block;
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.4);
    background-color: $blueTransparent;
    margin-left: 4px;
    margin-right: 4px;
    cursor: pointer;
    .job-title {
        padding-left: 12px;
        padding-right: 12px;
        &.select {
            background-color: #13c2c2 !important;
        }
    }
}

#initechOrgChart .orgNodeChildGroup .nodeGroupLineVerticalMiddle {
    border-right: solid 3px $blue;
}

#initechOrgChart .nodeLineBorderTop {
    border-top: solid 3px $blue;
}

.job-title {
    background-color: $blue;
    color: white;
    padding-top: 6px;
    padding-bottom: 6px;
    font-weight: bold;
    font-size: 14px;
}

.job-desc {
    padding-top: 12px;
    color: white;
    padding-left: 4px;
    padding-right: 4px;
    padding-bottom: 12px;
}

.overview-wrapper {
    overflow: auto;
}

.overview-wrapper-footer {
    overflow: auto;
    .job-title.select {
        background-color: #13c1c2 !important;
    }
    .job-desc.select {
        background-color: #7de0e0 !important;
    }
}

.table-notification .not-yet-read {
    background-color: $blueTransparent2 !important;
}

.row-disabled {
    background-color: rgba(0, 0, 0, 0.04);
    color: rgba(0, 0, 0, 0.2);
    .ant-time-picker-input,
    .ant-input-number-input {
        background-color: rgba(0, 0, 0, 0.04);
        color: rgba(0, 0, 0, 0.2);
    }
}

.freedays {
    background-color: #ffebee !important;
}

.table-body-image tbody tr td img {
    width: 200px;
}

.ant-table {
    display: block;
    @media screen and (max-width: 600px) {
        &-thead {
            display: none;
        }
        &-thead>tr,
        &-tbody>tr {
            th,
            td {
                &:first-of-type {
                    padding-top: 1rem;
                }
                &:last-of-type {
                    padding-bottom: 1rem;
                }
            }
            >th,
            >td {
                display: block;
                width: auto !important;
                border: none;
                padding: 0 1rem;
                font-size: 1.1rem;
                &:last-child {
                    border-bottom: 1px solid #eee;
                }
            }
        }
    }
}

* {
    user-select: auto;
}

.hide-mobile {
    @media (min-width: 0px) and (max-width: 480px) {
        display: none;
    }
}

.hide-mobile-portrait {
    @media (min-width: 0px) and (max-width: 480px) and (orientation: portrait) {
        display: none;
    }
}

.hide-mobile-landscape {
    @media (min-width: 480px) and (max-width: 766px) and (orientation: landscape) {
        display: none;
    }
}

.hide-tablet-medium {
    @media (min-width: 481px) and (max-width: 767px) {
        display: none;
    }
}

.hide-tablet-medium-portrait {
    @media (min-width: 481px) and (max-width: 767px) and (orientation: portrait) {
        display: none;
    }
}

.hide-tablet-medium-landscape {
    @media (min-width: 767px) and (max-width: 990px) and (orientation: landscape) {
        display: none;
    }
}

.hide-tablet {
    @media (min-width: 768px) and (max-width: 991px) {
        display: none;
    }
}

.hide-tablet-portrait {
    @media (min-width: 768px) and (max-width: 991px) and (orientation: portrait) {
        display: none;
    }
}

.hide-tablet-landscape {
    @media (min-width: 991px) and (orientation: landscape) {
        display: none;
    }
}

.hide-desktop {
    @media (min-width: 992px) {
        display: none;
    }
}

.search-bar-table {
    width: 200px;
}